API docs menu
Reference
Account
GET
/v1/accountThe plan, credits (balance, held by generations running or queued, and available), what the plan includes, limits and storage. Useful before a large run, to check the credits are there.
curl
curl https://api.fittins.ai/v1/account \
-H "Authorization: Bearer $FITTINS_API_KEY"200 OK
{
"object": "account",
"plan": {
"id": "creator_pro",
"name": "Pro",
"billing_cycle": "monthly",
"renews_at": "2026-12-01T00:00:00.000Z"
},
"credits": {
"balance": 2860,
"reserved": 110,
"available": 2750
},
"features": {
"image_tiers": [
"default",
"turbo",
"premium"
],
"image_qualities": [
"1k",
"2k",
"4k",
"8k"
],
"video_tiers": [
"default",
"turbo",
"premium"
],
"video_qualities": [
"1k",
"2k",
"4k"
],
"custom_models_max": 50,
"custom_locations_max": 50
},
"limits": {
"concurrent_generations": 5,
"requests_per_minute": 60,
"creates_per_minute": 20
},
"storage": {
"used_bytes": 812649113,
"limit_bytes": 5368709120
}
}Questions? Email support@fittins.ai with the X-Request-Id of the request.Next: Changelog →